Subject: bug#23483: 24.5; cygwin emacs w32 doesn not ask to save files when windows shuts down

From: Ken Brown <[email-masked]>
Date: Fri, 13 May 2016 19:12:14 -0400

On 5/13/2016 4:02 PM, Strozzi, David J. wrote:
> Hmmm, this doesn't sound like a great fix.  It's really a "failsafe", but not what Windows users expect.  When you open the file again, how will you know that there's another auto-save file?  Will emacs tell you?  What if you open the file in another program?  Or you're editing source code / script and then make / run it, nothing will tell you about the auto-saved file.
>
> Perhaps better is to have emacs simply abort a restart / shutdown and require the user to manually close emacs.  If it doesn't behave like other windows programs (query user to save unsaved files), then we have to remember emacs is special.  You could have a parameter for whether emacs aborts a windows shutdown, default to yes, and then users and consciously shut it off if they want.

I'm not convinced that this is better.  But as an experiment, I decided 
to see if I could make emacs do what you want by having a system 
shutdown trigger 'save-buffers-kill-emacs' instead of 'kill-emacs'. 
What happened was that Windows complained that emacs was preventing it 
from shutting down, and it gave me the choice of shutting down anyway or 
canceling the shutdown.  I chose the latter, at which point I was faced 
with a non-responsive emacs that had to be killed.

I don't have any further ideas.

Ken